.select {
    width: 100%;

    &__button {
        width: 100%;
        white-space: nowrap;
        color: var(--color-white);
        stroke: var(--color-white);
        height: rem(48);
        font-size: rem(14);
        line-height: rem(24);
        padding: rem(8) rem(16);
        background: transparent;
        border: 1px solid #6B6F78;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: space-between;
        transition: .25s;

        &:hover {
            background: #1D1E20;
            border-color: #1D1E20;
            transition: .25s;
        }
    }

    &__placeholder {
        max-width: 100%;
        display: block;
        overflow: hidden;
        text-overflow: ellipsis;

        &:after {
     //       content: attr(data-select-active);
        }
    }

    &__arrow {
        height: 5px;
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        margin-left: rem(24);
        display: inline-block;
    }

    &__content {
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(20);
        background: #1D1E20;
    }

    &__item {
        cursor: pointer;
        color: var(--color-white);
        width: 100%;
        height: rem(42);
        padding: rem(8) rem(16);
        background: #1D1E20;
        display: flex;
        align-items: center;
        justify-content: space-between;
        transition: .25s;

        &:hover {
            color: $black;
            transition: .25s;
            background: var(--color-white);
        }
    }

    &__count {
        color: #BABABA;
    }

    &.open {

        .select {

            &__button {
                background: #1D1E20;
                border-color: #1D1E20;
            }

            &__arrow {
                transform: rotate(180deg);
            }
        }
    }

    &--sm {

        .select {

            &__button {
                height: rem(44);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__button {
            height: rem(56);
            padding: rem(8) rem(24);
        }

        &__item {
            height: rem(42);
            padding: rem(8) rem(24);
        }
    }
}
